id: pdp-finder
title: "Comparateur Plateforme Agréée"
description: "Comparateur scoring 8 critères (statut, secteur, taille, budget, intégration cabinet) → top 5 Plateformes Agréées DGFiP personnalisé en 2 minutes."

questions:
  - id: statut
    type: single-choice
    label: "Quel est votre statut juridique ?"
    required: true
    options:
      - { value: auto-entrepreneur, label: "Auto-entrepreneur / micro-entreprise" }
      - { value: ei, label: "Entreprise individuelle (EI)" }
      - { value: eurl-sarl, label: "EURL / SARL" }
      - { value: sas-sasu, label: "SAS / SASU" }
      - { value: profession-liberale, label: "Profession libérale (BNC)" }
      - { value: association, label: "Association" }

  - id: secteur
    type: single-choice
    label: "Quel est votre secteur d'activité ?"
    required: true
    options:
      - { value: btp, label: "BTP / artisanat du bâtiment" }
      - { value: services-pro, label: "Services aux entreprises (conseil, IT, marketing)" }
      - { value: commerce, label: "Commerce / vente" }
      - { value: restauration, label: "Restauration / hôtellerie / café" }
      - { value: sante, label: "Santé / médico-social" }
      - { value: juridique, label: "Juridique / comptabilité / expertise" }
      - { value: agricole, label: "Agricole / viticole" }
      - { value: autre, label: "Autre / multi-activité" }

  - id: clientele
    type: single-choice
    label: "Vos clients sont principalement..."
    required: true
    help: "Détermine si vous êtes concerné par l'obligation d'émission e-facture (B2B uniquement, à compter du 1ᵉʳ septembre 2027 pour les TPE/PME)."
    options:
      - { value: b2b, label: "Des entreprises (B2B)" }
      - { value: b2c, label: "Des particuliers (B2C)" }
      - { value: mixte, label: "Les deux (B2B et B2C)" }

  - id: metier
    type: single-choice
    label: "Quel est votre métier BTP principal ?"
    required: false
    show_if: { secteur: btp }
    options:
      - { value: macon, label: "Maçon" }
      - { value: plombier, label: "Plombier" }
      - { value: electricien, label: "Électricien" }
      - { value: chauffagiste, label: "Chauffagiste" }
      - { value: couvreur, label: "Couvreur" }
      - { value: menuisier, label: "Menuisier" }
      - { value: peintre, label: "Peintre" }
      - { value: carreleur, label: "Carreleur" }
      - { value: platrier, label: "Plâtrier" }
      - { value: charpentier, label: "Charpentier" }
      - { value: paysagiste, label: "Paysagiste" }
      - { value: terrassier, label: "Terrassier" }
      - { value: vitrier, label: "Vitrier" }
      - { value: serrurier, label: "Serrurier" }
      - { value: isolation, label: "Isolation" }
      - { value: poseur-cuisine, label: "Poseur de cuisine" }
      - { value: poseur-sol, label: "Poseur de sol" }
      - { value: pisciniste, label: "Pisciniste" }
      - { value: jardinier, label: "Jardinier" }
      - { value: cuisiniste, label: "Cuisiniste" }
      - { value: domoticien, label: "Domoticien" }
      - { value: frigoriste, label: "Frigoriste" }
      - { value: zingueur, label: "Zingueur" }
      - { value: staffeur, label: "Staffeur" }
      - { value: marbrier, label: "Marbrier" }
      - { value: installateur-fenetres, label: "Installateur fenêtres" }
      - { value: installateur-pompe-chaleur, label: "Installateur pompe à chaleur" }
      - { value: installateur-panneaux-solaires, label: "Installateur panneaux solaires" }
      - { value: installateur-vmc, label: "Installateur VMC" }
      - { value: renovation-energetique, label: "Rénovation énergétique" }

  - id: team_size
    type: single-choice
    label: "Combien êtes-vous dans l'équipe ?"
    required: true
    options:
      - { value: solo, label: "Seul" }
      - { value: small, label: "2 à 5 personnes" }
      - { value: medium, label: "6 à 20" }
      - { value: large, label: "21 et plus" }

  - id: besoin_chantier
    type: single-choice
    label: "Avez-vous besoin de modules de gestion chantier (planning, suivi temps, retenue de garantie) ?"
    required: false
    show_if: { secteur: btp }
    options:
      - { value: 'true', label: "Oui — gestion chantier nécessaire" }
      - { value: 'false', label: "Non — facturation et devis suffisent" }

  - id: encaissement
    type: single-choice
    label: "Avez-vous besoin d'encaisser vos factures directement depuis la plateforme (Stripe, GoCardless, virement instantané) ?"
    required: true
    help: "Réduit le délai de paiement. Critique pour B2C ou ventes en ligne, accessoire pour BTP avec acomptes chantier."
    options:
      - { value: 'true', label: "Oui — encaissement intégré indispensable" }
      - { value: 'false', label: "Non — virement / chèque classique suffit" }
      - { value: 'peu_importe', label: "Peu importe" }

  - id: engagement
    type: single-choice
    label: "Préférence d'engagement contractuel ?"
    required: true
    help: "Le mensuel sans engagement coûte ~30 % plus cher mais permet de tester. L'annuel verrouille un tarif réduit."
    options:
      - { value: mensuel, label: "Mensuel sans engagement (je veux pouvoir partir à 30 jours)" }
      - { value: annuel, label: "Annuel OK pour économiser" }
      - { value: peu_importe, label: "Peu importe" }

  - id: integration
    type: single-choice
    label: "Quel logiciel utilise votre cabinet comptable (ou que vous prévoyez d'utiliser) ?"
    required: true
    help: "Si vous travaillez avec un cabinet, indiquez son outil principal — l'intégration native évite la double-saisie."
    options:
      - { value: pennylane, label: "Pennylane" }
      - { value: indy, label: "Indy" }
      - { value: sage, label: "Sage" }
      - { value: cegid, label: "Cegid" }
      - { value: aucun, label: "Aucun ou autre / je n'ai pas de cabinet" }

  - id: budget
    type: single-choice
    label: "Budget mensuel envisagé pour la plateforme ?"
    required: true
    options:
      - { value: 1, label: "Moins de 20 €/mois" }
      - { value: 2, label: "20 à 50 €/mois" }
      - { value: 3, label: "Plus de 50 €/mois" }

scoring:
  base: 100
  rules:
    - id: statut_match
      label: "Statut juridique compatible"
      condition: "'all' in entity.criteria['statut_fit'] or answers['statut'] in entity.criteria['statut_fit']"
      score: 30

    - id: secteur_match
      label: "Secteur d'activité compatible"
      condition: "'all' in entity.criteria['secteur_fit'] or answers['secteur'] in entity.criteria['secteur_fit']"
      score: 25

    - id: auto_ent_bonus
      label: "Optimisé auto-entrepreneur"
      condition: "answers['statut'] == 'auto-entrepreneur' and entity.features['auto_entrepreneur_friendly'] == true"
      score: 20

    - id: profession_liberale_bonus
      label: "Optimisé profession libérale"
      condition: "answers['statut'] == 'profession-liberale' and entity.features['profession_liberale_friendly'] == true"
      score: 20

    - id: association_bonus
      label: "Adapté association"
      condition: "answers['statut'] == 'association' and entity.features['association_friendly'] == true"
      score: 15

    - id: metier_match
      label: "Métier BTP compatible"
      condition: "answers['secteur'] == 'btp' and ('all' in entity.criteria['metier_fit'] or answers['metier'] in entity.criteria['metier_fit'])"
      score: 25

    - id: size_match
      label: "Taille équipe compatible"
      condition: "answers['team_size'] in entity.criteria['size_fit']"
      score: 30

    - id: btp_specific_bonus
      label: "Modules BTP métier"
      condition: "answers['secteur'] == 'btp' and entity.features['btp_specific_modules'] == true"
      score: 25

    - id: budget_match
      label: "Tarif dans votre budget"
      condition: "entity.criteria['budget_tier'] <= answers['budget']"
      score: 20

    - id: chantier_module_bonus
      label: "Gestion chantier"
      condition: "answers['secteur'] == 'btp' and answers['besoin_chantier'] == 'true' and entity.features['chantier_management'] == true"
      score: 20

    - id: integration_match
      label: "Intégration comptable native"
      condition: "answers['integration'] != 'aucun' and answers['integration'] in entity.integrations"
      score: 25

    - id: encaissement_match
      label: "Encaissement intégré (Stripe / GoCardless)"
      condition: "answers['encaissement'] == 'true' and entity.features['payment_integration'] == true"
      score: 20

    - id: engagement_mensuel_match
      label: "Engagement mensuel disponible"
      condition: "answers['engagement'] == 'mensuel' and entity.features['engagement_mini'] == 'mensuel'"
      score: 15

    - id: multi_siret_bonus
      label: "Multi-SIRET / multi-établissements"
      condition: "answers['team_size'] in ['medium', 'large'] and entity.features['multi_siret_support'] == true"
      score: 15

    - id: tva_autoliquidation_btp_bonus
      label: "TVA auto-liquidation BTP (sous-traitance)"
      condition: "answers['secteur'] == 'btp' and entity.features['tva_btp_autoliquidation'] == true"
      score: 15

    - id: pa_status_bonus
      label: "PA officielle DGFiP (vs via partenaire)"
      condition: "entity.agreement['status'] == 'pa'"
      score: 15

output:
  top_n: 5
  template: wizard-results
  filters:
    type: [pa, editor-btp]
